# This is an auto-generated Django model module.
# You'll have to do the following manually to clean this up:
#   * Rearrange models' order
#   * Make sure each model has one field with primary_key=True
#   * Make sure each ForeignKey and OneToOneField has `on_delete` set to the desired behavior
#   * Remove `managed = False` lines if you wish to allow Django to create, modify, and delete the table
# Feel free to rename the models, but don't rename db_table values or field names.
from django.db import models
class User(models.Model):
    uid = models.CharField(max_length=22, db_comment='用户id')
    mobile = models.IntegerField(blank=True, null=True, db_comment='用户手机号')
    password = models.CharField(max_length=255, blank=True, null=True, db_comment='用户密码')
    voice_feature_id = models.CharField(max_length=255, db_collation='utf8_general_ci', blank=True, null=True, db_comment='用户声纹特征id')
    voice_sit_command = models.TextField(blank=True, null=True, db_comment='用户“坐下”指令音频')
    voice_stand_command = models.TextField(blank=True, null=True, db_comment='用户“站起来”指令音频')
    voice_feature_info_param = models.CharField(max_length=255, db_collation='utf8_general_ci', blank=True, null=True, db_comment='用户声纹信息参数')
    voice_update_feature_info_param = models.CharField(max_length=255, db_collation='utf8_general_ci', blank=True, null=True, db_comment='用户更新声纹信息参数')
    registration_time = models.DateTimeField(blank=True, null=True, db_comment='用户登录时间')
    is_sit = models.IntegerField(blank=True, null=True, db_comment='是否坐下口令（是：1，否0）')
    is_stand = models.IntegerField(blank=True, null=True, db_comment='是否站起口令（是：1，否0）')

    class Meta:
        managed = False
        db_table = 'user'
        app_label = 'aiDogApp'

class VoiceFeatureInfo(models.Model):
    uid = models.CharField(max_length=22, db_comment='用户id')
    voice_feature_id = models.CharField(max_length=25, blank=True, null=True, db_comment='每条声纹数据的声纹id')
    voice_feature_info_param = models.CharField(max_length=255, blank=True, null=True,
                                                db_comment='用户声纹信息参数')
    voice_update_feature_info_param = models.CharField(max_length=255, blank=True, null=True,
                                                       db_comment='用户更新声纹信息参数')
    record_time = models.DateTimeField(blank=True, null=True, db_comment='用户录音时间')
    command_type = models.IntegerField(blank=True, null=True,
                                       db_comment='口令类型（0：叫名字 1：坐下，2：站起，3：摇尾巴，4：走过来，5抬左手，6：抬右手）')
    voice_sit_command = models.TextField(blank=True, null=True, db_comment='用户“坐下”指令音频')
    voice_stand_command = models.TextField(blank=True, null=True, db_comment='用户“站起来”指令音频')
    voice_name_command = models.TextField(blank=True, null=True, db_comment='用户“叫名字”指令音频')
    voice_wagtail_command = models.TextField(blank=True, null=True, db_comment='用户“摇尾巴”指令音频')
    voice_come_command = models.TextField(blank=True, null=True, db_comment='用户“走过来”指令音频')

    class Meta:
        managed = False
        db_table = 'voice_feature_info'
        app_label = 'aiDogApp'

