import pymysql
import hashlib
import random
import string
import uuid
from datetime import datetime
import os
os.environ.setdefault("DJANGO_SETTINGS_MODULE", "aiDogProject.settings")
import django
django.setup()
from aiDogApp.models import *
res = {
    "code": "",
    "status": "",
    "msg": "",
    "response_time": ""

}
def generate_random_uid(length=8):
    """生成一个由大写字母和随机数字组成的8位数 uid"""
    characters = string.ascii_uppercase + string.digits
    return ''.join(random.choice(characters) for _ in range(length))

def register_user(mobile_number, password):

    try:

            # 检查手机号是否已经注册
            user = User.objects.filter(mobile=mobile_number)
            if user:
                return False  # 手机号已经存在

            else:
                return user  # User not found or incorrect password

            #生成一个用户id
            uid = generate_random_uid()
            # hash加密手机号存储
            hashed_password = hashlib.sha256(password.encode()).hexdigest()

            # 插入用户信息到数据库
            registration_time = datetime.now().strftime('%Y-%m-%d %H:%M:%S')
            user1 = User(uid=uid,mobile=mobile, password=hashed_password,registration_time=registration_time)
            user1.save()

            #插入用户初始化声纹信息到声纹信息库

            # voice_feature_id="AIdog".generate_random_uid()

            for i in range(6):
                voice_feature_id = "AIdog".uid.str(uuid.uuid4())  # 随机 voice feature ID
                command_type = f"Type_{i}"  # 用户口令类型command type
                voice = VoiceFeatureInfo(uid=uid, voice_feature_id=voice_feature_id,  command_type=command_type)
                voice.save()

            # 提交数据库操作
            #返回每条属性添加到数据库是否成功
                if voice.save()==true:
                    res['code'] =0
                    res['status'] ="success"
                    return true
                else:
                    res['code'] =300
                    res['status'] = "failed"
                    return  res['msg']=='用户注册失败！请重试'

            #数据库创建完成，返回uid，

            res["msg"] = uid
            res['response_time'] = datetime.strftime(datetime.today(), '%Y-%m-%d %H:%M:%S')
            print(res)
            return res

            # return True
    except Exception as e:
        print(f"Error: {e}")
        return False



# 测试输入用户信息
mobile_number = '1234567890'
password = 'ypwd121'
is_registered = register_user(mobile_number, password)
if is_registered:
    print("Registration successful!")
else:
    print("Registration failed!")
